StrDocValues (Lucene 10.5.1 queries API)
Description: declaration: package: org.apache.lucene.queries.function.docvalues, class: StrDocValues

Package org.apache.lucene.queries.function.docvalues

# Class StrDocValues

java.lang.Object
org.apache.lucene.queries.function.FunctionValues
org.apache.lucene.queries.function.docvalues.StrDocValues

public abstract class StrDocValues extends FunctionValues
Abstract `FunctionValues` implementation which supports retrieving String values. Implementations can control how the String values are loaded through `strVal(int)`}

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.queries.function.FunctionValues

  `FunctionValues.ValueFiller`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ValueSource`
  `vs`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrDocValues(ValueSource vs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `boolVal(int doc)`
  `FunctionValues.ValueFiller`
  `getValueFiller()`
  `Object`
  `objectVal(int doc)`
  Native Java Object representation of the value
  `abstract String`
  `strVal(int doc)`
  `String`
  `toString(int doc)`

  ### Methods inherited from class org.apache.lucene.queries.function.FunctionValues

  `bytesVal, byteVal, byteVal, byteVectorVal, cost, doubleVal, doubleVal, exists, explain, floatVal, floatVal, floatVectorVal, getRangeScorer, getScorer, intVal, intVal, longVal, longVal, numOrd, ordVal, shortVal, shortVal, strVal`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### vs

    protected final ValueSource vs

- ## Constructor Details

  - ### StrDocValues

    public StrDocValues(ValueSource vs)

- ## Method Details

  - ### strVal

    public abstract String strVal(int doc) throws IOException
    Overrides:
      `strVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### objectVal

    public Object objectVal(int doc) throws IOException
    Description copied from class: `FunctionValues`
    Native Java Object representation of the value
    Overrides:
      `objectVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### boolVal

    public boolean boolVal(int doc) throws IOException
    Overrides:
      `boolVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### toString

    public String toString(int doc) throws IOException
    Specified by:
      `toString` in class `FunctionValues`
    Throws:
      `IOException`

  - ### getValueFiller

    public FunctionValues.ValueFiller getValueFiller()
    Overrides:
      `getValueFiller` in class `FunctionValues`